module SlidePay
  class PostReport < Report
    def initialize(options={})
      @report_type = :post

      super(options)
    end

    private

    def data_from_sfa(options={})
      return {
        csv:            options[:csv] || false,
        email_address:  options[:email_address] || nil,
        html:           options[:html] || false,
        raw_data:       options[:raw_data] || true,
        sfa:            @sfa
      }.to_json
    end
  end
end
