$:.unshift(File.join(File.dirname(__FILE__), 'lib'))
$:.unshift(File.join(File.dirname(__FILE__), 'spec'))

require 'multi_json'
require 'slidepay'
require 'spec_helper'

include SlidePay

SlidePay.configure(development: true)
SlidePay.api_key = ENV["ach_api_key"]

RestClient.proxy = "http://127.0.0.1:8888"

location_id = 18
balance = SlidePay::ACH::Balance.retrieve(location_id)

puts "Balance for location_id #{location_id}: #{balance}"