$:.unshift(File.join(File.dirname(__FILE__), 'lib'))
$:.unshift(File.join(File.dirname(__FILE__), 'spec'))

require 'multi_json'
require 'slidepay'
require 'spec_helper'

include SlidePay

SlidePay.configure(development: true)
SlidePay.api_key = ENV["api_key"]

ar = ApiResource.new()

ar.url_root = "company"
ar.id_attribute = "company_id"

ar['company_id'] = 18

ar.retrieve()

puts "Company: #{ar}"


