module SlidePay
  class AccountReport < PostReport
    def initialize(options={})
      @url = "report/account"

      if options.is_a? String or options.is_a? Integer
        @sfa = [{field: "location_id", condition: "equals", value: options}]
      elsif options['location_id'] != nil or options[:location_id] != nil
        @sfa = [{field: "location_id", condition: "equals", value: options['location_id'] || options[:location_id]}]
      else
        @sfa = []
      end

      super(@sfa)
    end
  end
end
