$:.unshift(File.join(File.dirname(__FILE__), 'lib'))
$:.unshift(File.join(File.dirname(__FILE__), 'spec'))

require 'multi_json'
require 'slidepay'
require 'spec_helper'

include SlidePay

SlidePay.configure(development: true)
SlidePay.api_key = ENV["api_key"]

RestClient.proxy = "http://127.0.0.1:8888"


puts "Retrieving account report with no search filters:"
puts "======================================================================"

account_report = SlidePay::AccountReport.new(14)
account_report.retrieve()

if account_report.empty?
  puts "Account report returned empty nothing."
else
  puts "Account report: "
  puts "#{account_report}"
end
