$:.unshift(File.join(File.dirname(__FILE__), 'lib'))
$:.unshift(File.join(File.dirname(__FILE__), 'spec'))

require 'multi_json'
require 'slidepay'
require 'spec_helper'

include SlidePay

SlidePay.configure(development: true)
SlidePay.api_key = ENV["admin_api_key"]

RestClient.proxy = "http://127.0.0.1:8888"

r = ACH::Retrieval.new
r['retrieval_id'] = ENV["retrieval_id"]
r.retrieve()

puts "retrieval: #{r}"