$:.unshift(File.join(File.dirname(__FILE__), 'lib'))
$:.unshift(File.join(File.dirname(__FILE__), 'spec'))

require 'multi_json'
require 'slidepay'
require 'spec_helper'

include SlidePay

SlidePay.configure(development: true)
SlidePay.api_key = ENV["api_key"]

RestClient.proxy = "http://127.0.0.1:8888"


cc = {
  cc_number: "",
  cc_expiry_month: "01",
  cc_expiry_year: "2017",
  cc_billing_zip: "95112",
  method: "CreditCard",
  amount: 2.01
}
payment = SlidePay::Payment.new(cc)

r = payment.process()

if r
  puts "Payment created with id: #{p.id}"
else
  puts "Payment failed. "
end

