$:.unshift(File.join(File.dirname(__FILE__), 'lib'))
$:.unshift(File.join(File.dirname(__FILE__), 'spec'))

require 'multi_json'
require 'slidepay'
require 'spec_helper'

include SlidePay

SlidePay.configure(development: true)
SlidePay.api_key = ENV["api_key"]

# RestClient.proxy = "http://127.0.0.1:8888"

p = Payment.new
p["amount"] = 2.01
p["method"] = "CreditCard"
p["cc_number"] = "4111111111111111"
p["cc_cvv2"] = "111"
p["cc_billing_zip"] = "11111"
p["cc_expiry_month"] = "10"
p["cc_expiry_year"] = "14"
r = p.process()
# p.refund()

p2 = Payment.new
p2['payment_id'] = p.id

p2.retrieve()
p2['under_review'] = 1
p2.save()