$:.unshift(File.join(File.dirname(__FILE__), 'lib'))
$:.unshift(File.join(File.dirname(__FILE__), 'spec'))

require 'multi_json'
require 'slidepay'
require 'spec_helper'

include SlidePay

SlidePay.configure(development: true)
SlidePay.api_key = ENV["api_key"]

# RestClient.proxy = "http://127.0.0.1:8888"


puts "Retrieving payment report with no search filters:"
puts "======================================================================"

payment_report = SlidePay::PaymentReport.new([field: "created", condition: "greater_than", value: "12/12/2013"])
payment_report.retrieve()

if payment_report.empty?
  puts "Payment report returned nothing."
else
  puts "Payment report: "
  puts "#{payment_report}"
end
