$:.unshift(File.join(File.dirname(__FILE__), 'lib'))
$:.unshift(File.join(File.dirname(__FILE__), 'spec'))

require 'multi_json'
require 'slidepay'
require 'spec_helper'

include SlidePay

SlidePay.configure(development: true)
SlidePay.api_key = ENV["api_key"]

RestClient.proxy = "http://127.0.0.1:8888"


puts "Finding UserMaster objects where first_name 'contains' 'at':"
puts "======================================================================"

users = UserMaster.find(field: "first_name", condition: "contains", value: "at")
if users.is_a? Array
  puts "Retrieved an array of #{users.length} users"

  users.each do |user|
    puts "User found: #{user}"
  end

else
  puts "Did not get an array back!! Retrieved: #{users}"
end
